Add sfc to nic-modules udeb

Bug #1481490 reported by Leann Ogasawara on 2015-08-04
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
debian-installer (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Adam Conrad
Vivid
Undecided
Adam Conrad
linux (Ubuntu)
Undecided
Leann Ogasawara
Trusty
Undecided
Leann Ogasawara
Vivid
Undecided
Leann Ogasawara
linux-lts-utopic (Ubuntu)
Trusty
Undecided
Unassigned

Bug Description

== [Trusty][Vivid]SRU Justification ==

It is being requested that we add the sfc driver to the nic-modules udeb to facilitate PXE booting nodes with Solarflare network adapters.

== Fix ==
Add the sfc driver to our nic-modules udeb. This is being requested for
Trusty and Vivid. Note, this has already been applied to Wily master-next.

== Testing ==
I've done test builds of Wily, Vivid, and Trusty and can confirm the sfc driver is seeded into the nic-modules udeb:

$ dpkg -c nic-modules-4.2.0-3-generic-di_4.2.0-3.3_amd64.udeb | grep "sfc.ko"
-rw-r--r-- root/root 495305 2015-08-04 22:17 ./lib/modules/4.2.0-3-generic/kernel/drivers/net/ethernet/sfc/sfc.ko

$ dpkg -c nic-modules-3.19.0-26-generic-di_3.19.0-26.27_amd64.udeb | grep "sfc.ko"
-rw-r--r-- root/root 464452 2015-08-04 22:21 ./lib/modules/3.19.0-26-generic/kernel/drivers/net/ethernet/sfc/sfc.ko

$ dpkg -c nic-modules-3.13.0-62-generic-di_3.13.0-62.101_amd64.udeb | grep "sfc.ko"
-rw-r--r-- root/root 436284 2015-08-04 22:22 ./lib/modules/3.13.0-62-generic/kernel/drivers/net/ethernet/sfc/sfc.ko

Changed in linux (Ubuntu):
status: New → In Progress
Changed in linux (Ubuntu Trusty):
status: New → In Progress
Changed in linux (Ubuntu Vivid):
status: New → In Progress
Changed in linux (Ubuntu Trusty):
assignee: nobody → Leann Ogasawara (leannogasawara)
Changed in linux (Ubuntu Vivid):
assignee: nobody → Leann Ogasawara (leannogasawara)
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
description: updated

Submitted to the Ubuntu kernel-team mailing list as an SRU for Trusty and Vivid.

https://lists.ubuntu.com/archives/kernel-team/2015-August/061156.html

This patch has been applied to our Trusty and Vivid kernel tree's. I've marked those tasks as "Fix Committed". Thanks.

https://lists.ubuntu.com/archives/kernel-team/2015-August/061169.html

Changed in linux (Ubuntu Trusty):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Vivid):
status: In Progress → Fix Committed
abrunning (abrunning) wrote :

Can we double-check that the required dependency was also added?
In our testing, we needed to also add the module "mtd" in order to proceed.

Noting the sfc dependency list:

$ modinfo sfc | grep "depends"
depends: mtd,mdio,ptp,i2c-algo-bit

I've done some test builds for Wily, Vivid, and Trusty and can confirm the sfc dependencies are indeed also included in the udeb (and specifically mtd is included):

Wily:
$ dpkg -c nic-modules-4.2.0-4-generic-di_4.2.0-4.4_amd64.udeb | grep -E "sfc.ko|mtd.ko|mdio.ko|ptp.ko|pps_core.ko|i2c-algo-bit.ko"
-rw-r--r-- root/root 14145 2015-08-10 15:22 ./lib/modules/4.2.0-4-generic/kernel/drivers/i2c/algos/i2c-algo-bit.ko
-rw-r--r-- root/root 91913 2015-08-10 15:22 ./lib/modules/4.2.0-4-generic/kernel/drivers/mtd/mtd.ko
-rw-r--r-- root/root 495281 2015-08-10 15:22 ./lib/modules/4.2.0-4-generic/kernel/drivers/net/ethernet/sfc/sfc.ko
-rw-r--r-- root/root 8977 2015-08-10 15:22 ./lib/modules/4.2.0-4-generic/kernel/drivers/net/mdio.ko
-rw-r--r-- root/root 29673 2015-08-10 15:22 ./lib/modules/4.2.0-4-generic/kernel/drivers/pps/pps_core.ko
-rw-r--r-- root/root 29761 2015-08-10 15:22 ./lib/modules/4.2.0-4-generic/kernel/drivers/ptp/ptp.ko

Vivid:
$ dpkg -c nic-modules-3.19.0-26-generic-di_3.19.0-26.27_amd64.udeb | grep -E "sfc.ko|mtd.ko|mdio.ko|ptp.ko|pps_core.ko|i2c-algo-bit.ko"
-rw-r--r-- root/root 13956 2015-08-10 16:07 ./lib/modules/3.19.0-26-generic/kernel/drivers/i2c/algos/i2c-algo-bit.ko
-rw-r--r-- root/root 96852 2015-08-10 16:07 ./lib/modules/3.19.0-26-generic/kernel/drivers/mtd/mtd.ko
-rw-r--r-- root/root 464452 2015-08-10 16:07 ./lib/modules/3.19.0-26-generic/kernel/drivers/net/ethernet/sfc/sfc.ko
-rw-r--r-- root/root 8812 2015-08-10 16:07 ./lib/modules/3.19.0-26-generic/kernel/drivers/net/mdio.ko
-rw-r--r-- root/root 30500 2015-08-10 16:07 ./lib/modules/3.19.0-26-generic/kernel/drivers/pps/pps_core.ko
-rw-r--r-- root/root 29796 2015-08-10 16:07 ./lib/modules/3.19.0-26-generic/kernel/drivers/ptp/ptp.ko

Trusty:
$ dpkg -c nic-modules-3.13.0-62-generic-di_3.13.0-62.101_amd64.udeb | grep -E "sfc.ko|mtd.ko|mdio.ko|ptp.ko|pps_core.ko|i2c-algo-bit.ko"
-rw-r--r-- root/root 13740 2015-08-10 16:39 ./lib/modules/3.13.0-62-generic/kernel/drivers/i2c/algos/i2c-algo-bit.ko
-rw-r--r-- root/root 94092 2015-08-10 16:39 ./lib/modules/3.13.0-62-generic/kernel/drivers/mtd/mtd.ko
-rw-r--r-- root/root 436284 2015-08-10 16:39 ./lib/modules/3.13.0-62-generic/kernel/drivers/net/ethernet/sfc/sfc.ko
-rw-r--r-- root/root 9644 2015-08-10 16:39 ./lib/modules/3.13.0-62-generic/kernel/drivers/net/mdio.ko
-rw-r--r-- root/root 30684 2015-08-10 16:39 ./lib/modules/3.13.0-62-generic/kernel/drivers/pps/pps_core.ko
-rw-r--r-- root/root 24924 2015-08-10 16:39 ./lib/modules/3.13.0-62-generic/kernel/drivers/ptp/ptp.ko

abrunning (abrunning) wrote :

Thank you for confirming this. Do you have an idea of what sort of timescale a new release of the Trusty netboot image will be? The July 29 image is still the last version posted.
If it is not soon, the end customer would be happy to accept a pre-release image from Canonical.

Sorry for the delayed response. This fix is queued in our Trusty kernel which will start undergoing the kernel SRU process on Mon Aug 17. That kernel will undergo a 3 week regression testing process before we'll promote that kernel to the trusty-updates pocket, ie ETA is Sept 5. However, once this kernel hits trusty-proposed next week we can engage with the release team to respin d-i so that both are in sync and available for testing from a end user's perspective.

Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-vivid' to 'verification-done-vivid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty verification-needed-vivid

Marking this verification-done-vivid and verification-done-trusty

$ dpkg -c nic-modules-3.13.0-63-generic-di_3.13.0-63.103_amd64.udeb | grep -E "sfc.ko|mtd.ko|mdio.ko|ptp.ko|pps_core.ko|i2c-algo-bit.ko"
-rw-r--r-- root/root 13724 2015-08-14 16:07 ./lib/modules/3.13.0-63-generic/kernel/drivers/i2c/algos/i2c-algo-bit.ko
-rw-r--r-- root/root 30756 2015-08-14 16:15 ./lib/modules/3.13.0-63-generic/kernel/drivers/pps/pps_core.ko
-rw-r--r-- root/root 436108 2015-08-14 16:08 ./lib/modules/3.13.0-63-generic/kernel/drivers/net/ethernet/sfc/sfc.ko
-rw-r--r-- root/root 9636 2015-08-14 16:08 ./lib/modules/3.13.0-63-generic/kernel/drivers/net/mdio.ko
-rw-r--r-- root/root 94028 2015-08-14 16:08 ./lib/modules/3.13.0-63-generic/kernel/drivers/mtd/mtd.ko
-rw-r--r-- root/root 25020 2015-08-14 16:15 ./lib/modules/3.13.0-63-generic/kernel/drivers/ptp/ptp.ko

$ dpkg -c nic-modules-3.19.0-27-generic-di_3.19.0-27.29_amd64.udeb | grep -E "sfc.ko|mtd.ko|mdio.ko|ptp.ko|pps_core.ko|i2c-algo-bit.ko"
-rw-r--r-- root/root 13956 2015-08-14 16:08 ./lib/modules/3.19.0-27-generic/kernel/drivers/i2c/algos/i2c-algo-bit.ko
-rw-r--r-- root/root 30620 2015-08-14 16:16 ./lib/modules/3.19.0-27-generic/kernel/drivers/pps/pps_core.ko
-rw-r--r-- root/root 464324 2015-08-14 16:09 ./lib/modules/3.19.0-27-generic/kernel/drivers/net/ethernet/sfc/sfc.ko
-rw-r--r-- root/root 8812 2015-08-14 16:09 ./lib/modules/3.19.0-27-generic/kernel/drivers/net/mdio.ko
-rw-r--r-- root/root 96788 2015-08-14 16:09 ./lib/modules/3.19.0-27-generic/kernel/drivers/mtd/mtd.ko
-rw-r--r-- root/root 29908 2015-08-14 16:16 ./lib/modules/3.19.0-27-generic/kernel/drivers/ptp/ptp.ko

tags: added: verification-done-trusty verification-done-vivid
removed: verification-needed-trusty verification-needed-vivid
Launchpad Janitor (janitor) wrote :
Download full text (3.8 KiB)

This bug was fixed in the package linux - 3.13.0-63.103

---------------
linux (3.13.0-63.103) trusty; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1485102

  [ Leann Ogasawara ]

  * [Config] d-i -- Add sfc to nic-modules udeb
    - LP: #1481490

  [ Upstream Kernel Changes ]

  * sg_start_req(): make sure that there's not too many elements in iovec
    - LP: #1485100
  * Btrfs: use kmem_cache_free when freeing entry in inode cache
    - LP: #1485100
  * Btrfs: fix race between caching kthread and returning inode to inode
    cache
    - LP: #1485100
  * Btrfs: fix fsync data loss after append write
    - LP: #1485100
  * ext4: fix reservation release on invalidatepage for delalloc fs
    - LP: #1485100
  * ext4: be more strict when migrating to non-extent based file
    - LP: #1485100
  * ext4: correctly migrate a file with a hole at the beginning
    - LP: #1485100
  * ext4: replace open coded nofail allocation in ext4_free_blocks()
    - LP: #1485100
  * ACPI / PNP: Reserve ACPI resources at the fs_initcall_sync stage
    - LP: #1485100
  * hpfs: kstrdup() out of memory handling
    - LP: #1485100
  * 9p: don't leave a half-initialized inode sitting around
    - LP: #1485100
  * freeing unlinked file indefinitely delayed
    - LP: #1485100
  * iio: inv-mpu: Specify the expected format/precision for write channels
    - LP: #1485100
  * iio: DAC: ad5624r_spi: fix bit shift of output data value
    - LP: #1485100
  * iio: adc: at91_adc: allow to use full range of startup time
    - LP: #1485100
  * ALSA: usb-audio: Add MIDI support for Steinberg MI2/MI4
    - LP: #1485100
  * iio: tmp006: Check channel info on write
    - LP: #1485100
  * dm btree remove: fix bug in redistribute3
    - LP: #1485100
  * USB: option: add 2020:4000 ID
    - LP: #1485100
  * USB: cp210x: add ID for Aruba Networks controllers
    - LP: #1485100
  * dm btree: silence lockdep lock inversion in dm_btree_del()
    - LP: #1485100
  * usb: musb: host: rely on port_mode to call musb_start()
    - LP: #1485100
  * s390/sclp: clear upper register halves in _sclp_print_early
    - LP: #1485100
  * drm: add a check for x/y in drm_mode_setcrtc
    - LP: #1485100
  * ARM: dts: mx23: fix iio-hwmon support
    - LP: #1485100
  * tracing: Have branch tracer use recursive field of task struct
    - LP: #1485100
  * drivers: net: cpsw: fix crash while accessing second slave ethernet
    interface
    - LP: #1485100
  * USB: serial: Destroy serial_minors IDR on module exit
    - LP: #1485100
  * Btrfs: fix memory leak in the extent_same ioctl
    - LP: #1485100
  * ARC: make sure instruction_pointer() returns unsigned value
    - LP: #1485100
  * s390/process: fix sfpc inline assembly
    - LP: #1485100
  * st: null pointer dereference panic caused by use after kref_put by
    st_open
    - LP: #1485100
  * drm/radeon: add a dpm quirk for Sapphire Radeon R9 270X 2GB GDDR5
    - LP: #1485100
  * drm/radeon: Don't flush the GART TLB if rdev->gart.ptr == NULL
    - LP: #1485100
  * genirq: Prevent resend to interrupts marked IRQ_NESTED_THREAD
    - LP: #1485100
  * ip_tunnel: fix ipv4 pmtu check to honor inner ip header df
    - LP: #1485100
  * bridge: mdb: star...

Read more...

Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.2.0-7.7

---------------
linux (4.2.0-7.7) wily; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1490564
  * rebase to v4.2

  [ Wen Xiong ]

  * SAUCE: ipr: Byte swapping for device_id attribute in sysfs
    - LP: #1453892

  [ Upstream Kernel Changes ]

  * rebase to v4.2
    - LP: #1487345

 -- Tim Gardner <email address hidden> Wed, 26 Aug 2015 07:06:10 -0600

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (14.6 KiB)

This bug was fixed in the package linux - 3.19.0-28.30

---------------
linux (3.19.0-28.30) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1490606

  [ Gary Wang ]

  * SAUCE: i915_bpo: drm/i915: set CDCLK if DPLL0 enabled during resuming
    from S3
    - LP: #1490035

  [ Timo Aaltonen ]

  * Revert "SAUCE: i915_bpo: drm/i915/skl: DDI-E and DDI-A shares 4 lanes."
    - LP: #1490038

linux (3.19.0-27.29) vivid; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1485113

  [ Adam Lee ]

  * SAUCE: serial: 8250_pci: Add support for Pericom PI7C9X795[1248]
    - LP: #1480142

  [ Arun Siluvery ]

  * SAUCE: i915_bpo: drm/i915/gen8: Add infrastructure to initialize WA
    batch buffers
    - LP: #1484486
  * SAUCE: i915_bpo: drm/i915/gen8: Re-order init pipe_control in lrc mode
    - LP: #1484486
  * SAUCE: i915_bpo: drm/i915/gen8: Add WaDisableCtxRestoreArbitration
    workaround
    - LP: #1484486
  * SAUCE: i915_bpo: drm/i915/gen8: Add
    WaFlushCoherentL3CacheLinesAtContextSwitch workaround
    - LP: #1484486
  * SAUCE: i915_bpo: drm/i915: Bail out early if WA batch is not available
    for given Gen
    - LP: #1484486
  * SAUCE: i915_bpo: drm/i915/gen8: Add WaClearSlmSpaceAtContextSwitch
    workaround
    - LP: #1484486
  * SAUCE: i915_bpo: drm/i915: Update
    WaFlushCoherentL3CacheLinesAtContextSwitch
    - LP: #1484486
  * SAUCE: i915_bpo: drm/i915: Enable WA batch buffers for Gen9
    - LP: #1484486
  * SAUCE: i915_bpo: drm/i915/gen9: Add WaDisableCtxRestoreArbitration
    workaround
    - LP: #1484486
  * SAUCE: i915_bpo: drm/i915: Update wa_ctx_emit() macro as per kernel
    coding guidelines
    - LP: #1484486
  * SAUCE: i915_bpo: drm/i915/gen9: Add
    WaFlushCoherentL3CacheLinesAtContextSwitch workaround
    - LP: #1484486
  * SAUCE: i915_bpo: drm/i915/gen9: Add
    WaSetDisablePixMaskCammingAndRhwoInCommonSliceChicken
    - LP: #1484486
  * SAUCE: i915_bpo: drm/i915:skl: Add WaEnableGapsTsvCreditFix
    - LP: #1484486

  [ Chris Wilson ]

  * SAUCE: i915_bpo: drm/i915: Use two 32bit reads for select 64bit
    REG_READ ioctls
    - LP: #1484482
  * SAUCE: i915_bpo: drm/i915: Replace WARN inside I915_READ64_2x32 with
    retry loop
    - LP: #1484482
  * SAUCE: i915_bpo: drm/i915: Mark PIN_USER binding as GLOBAL_BIND without
    the aliasing ppgtt
    - LP: #1484482
  * SAUCE: i915_bpo: drm/i915: Declare the swizzling unknown for L-shaped
    configurations
    - LP: #1484482

  [ Damien Lespiau ]

  * SAUCE: i915_bpo: drm/i915/skl: Don't expose the top most plane on gen9
    display
    - LP: #1484486

  [ Daniel Vetter ]

  * SAUCE: i915_bpo: drm/i915: Fixup dp mst encoder selection
    - LP: #1484482

  [ David Weinehall ]

  * SAUCE: i915_bpo: drm/i915: Allow parsing of variable size child device
    entries from VBT
  * SAUCE: i915_bpo: drm/i915: Allow parsing of variable size child device
    entries from VBT, addendum v2
    - LP: #1484482

  [ Jani Nikula ]

  * SAUCE: i915_bpo: drm/i915/skl: WaIgnoreDDIAStrap is forever, always
    init DDI A
    - LP: #1484486
  * SAUCE: i915_bpo: drm/i915: reduce indent in i9xx_hpd_irq_handler
    - LP: #1484531
  * SAUCE: i915_bpo: drm/i91...

Changed in linux (Ubuntu Vivid):
status: Fix Committed → Fix Released
Download full text (4.5 KiB)

Hello,

Do you know when this d-i fix will be built/synced in the initrd.gz file
on the Ubuntu site for trusty updates located here ?

http://archive.ubuntu.com/ubuntu/dists/trusty-updates/main/installer-amd64/current/images/netboot/ubuntu-installer/amd64/initrd.gz

Will it be on the trusty-proposed site as well?

http://archive.ubuntu.com/ubuntu/dists/trusty-proposed/main/installer-amd64/current/images/netboot/ubuntu-installer/amd64/initrd.gz

Thanks,
Bob

On Thu, 2015-09-03 at 11:50 +0000, Launchpad Bug Tracker wrote:
> This bug was fixed in the package linux - 3.13.0-63.103
>
> ---------------
> linux (3.13.0-63.103) trusty; urgency=low
>
> [ Brad Figg ]
>
> * Release Tracking Bug
> - LP: #1485102
>
> [ Leann Ogasawara ]
>
> * [Config] d-i -- Add sfc to nic-modules udeb
> - LP: #1481490
>
> [ Upstream Kernel Changes ]
>
> * sg_start_req(): make sure that there's not too many elements in iovec
> - LP: #1485100
> * Btrfs: use kmem_cache_free when freeing entry in inode cache
> - LP: #1485100
> * Btrfs: fix race between caching kthread and returning inode to inode
> cache
> - LP: #1485100
> * Btrfs: fix fsync data loss after append write
> - LP: #1485100
> * ext4: fix reservation release on invalidatepage for delalloc fs
> - LP: #1485100
> * ext4: be more strict when migrating to non-extent based file
> - LP: #1485100
> * ext4: correctly migrate a file with a hole at the beginning
> - LP: #1485100
> * ext4: replace open coded nofail allocation in ext4_free_blocks()
> - LP: #1485100
> * ACPI / PNP: Reserve ACPI resources at the fs_initcall_sync stage
> - LP: #1485100
> * hpfs: kstrdup() out of memory handling
> - LP: #1485100
> * 9p: don't leave a half-initialized inode sitting around
> - LP: #1485100
> * freeing unlinked file indefinitely delayed
> - LP: #1485100
> * iio: inv-mpu: Specify the expected format/precision for write channels
> - LP: #1485100
> * iio: DAC: ad5624r_spi: fix bit shift of output data value
> - LP: #1485100
> * iio: adc: at91_adc: allow to use full range of startup time
> - LP: #1485100
> * ALSA: usb-audio: Add MIDI support for Steinberg MI2/MI4
> - LP: #1485100
> * iio: tmp006: Check channel info on write
> - LP: #1485100
> * dm btree remove: fix bug in redistribute3
> - LP: #1485100
> * USB: option: add 2020:4000 ID
> - LP: #1485100
> * USB: cp210x: add ID for Aruba Networks controllers
> - LP: #1485100
> * dm btree: silence lockdep lock inversion in dm_btree_del()
> - LP: #1485100
> * usb: musb: host: rely on port_mode to call musb_start()
> - LP: #1485100
> * s390/sclp: clear upper register halves in _sclp_print_early
> - LP: #1485100
> * drm: add a check for x/y in drm_mode_setcrtc
> - LP: #1485100
> * ARM: dts: mx23: fix iio-hwmon support
> - LP: #1485100
> * tracing: Have branch tracer use recursive field of task struct
> - LP: #1485100
> * drivers: net: cpsw: fix crash while accessing second slave ethernet
> interface
> - LP: #1485100
> * USB: serial: Destroy serial_minors IDR on module exit
> - LP: #1485100
...

Read more...

Dave Chiluk (chiluk) on 2015-09-29
tags: added: sts
Dave Chiluk (chiluk) on 2015-09-29
Changed in debian-installer (Ubuntu Trusty):
status: New → In Progress
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
Dave Chiluk (chiluk) wrote :

Here's the same change that cyphermox just uploaded, but applied to vivid.

Changed in debian-installer (Ubuntu Vivid):
status: New → In Progress
assignee: nobody → Dave Chiluk (chiluk)
Adam Conrad (adconrad) on 2015-09-29
Changed in debian-installer (Ubuntu):
status: New → Fix Released
Adam Conrad (adconrad) on 2015-09-29
Changed in linux-lts-utopic (Ubuntu):
status: New → Invalid
Changed in linux-lts-utopic (Ubuntu Vivid):
status: New → Invalid
Luis Henriques (henrix) on 2015-09-30
Changed in linux-lts-utopic (Ubuntu Trusty):
status: New → Fix Committed
Dave Chiluk (chiluk) on 2015-09-30
Changed in linux-lts-utopic (Ubuntu):
status: Invalid → Fix Committed
tags: added: patch
Adam Conrad (adconrad) on 2015-10-01
Changed in debian-installer (Ubuntu Trusty):
assignee: Mathieu Trudel-Lapierre (mathieu-tl) → Adam Conrad (adconrad)
Changed in debian-installer (Ubuntu Vivid):
assignee: Dave Chiluk (chiluk) → Adam Conrad (adconrad)

Hello Leann, or anyone else affected,

Accepted debian-installer into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/debian-installer/20101020ubuntu318.30 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in debian-installer (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in debian-installer (Ubuntu Vivid):
status: In Progress → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Leann, or anyone else affected,

Accepted debian-installer into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/debian-installer/20101020ubuntu376.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) wrote :

Note that the trusty d-i will need to respin again after the current kernel SRU cycle to pick up the lts-utopic fix, so once this is tested and copied to -updates, please reopen the trusty/d-i task so we can do it all over again.

Dave Chiluk (chiluk) wrote :

Thanks for spinning the new install images. I have confirmed that the 3.13.0-65 kernel netboot install worked without a hich. However I do not have sfc hardware to test with.

mrobinson-o (mrobinson-o) wrote :

I can confirm that the Trusty vivid-netboot image booted/installed correctly over a SolarFlare SFN7122F card:
http://archive.ubuntu.com/ubuntu/dists/trusty-proposed/main/installer-amd64/current/images/vivid-netboot/netboot.tar.gz

TEST CASE:
1. Unpack netboot.tar.gz into TFTP directory
2. Configure DHCP server so that test server will be directed to request 'pxelinux.0' from the TFTP server
3. PXE boot the test server (Dell R610), selecting the SolarFlare interface
4. Proceed through install script. When selecting a mirror for downloads, specify the required HTTP proxy address
5. Continue through rest of install script. Specify a unique hostname.
6. Reboot test server and check that installation is successful (i.e. boots up with correct hostname)

VERIFICATION DONE
Test server has Ubuntu installed on its local hard disk and can boot locally.

mrobinson-o (mrobinson-o) wrote :

Has the Trusty image with the Utopic kernel (v.3.16) been re-built? When I tried booting this version it just hung:
http://archive.ubuntu.com/ubuntu/dists/trusty-proposed/main/installer-amd64/current/images/utopic-netboot/netboot.tar.gz

tags: removed: verification-needed
Dave Chiluk (chiluk) wrote :

@mrobinson-o The trusty image with the Utopic image is waiting on a new build and test cycle of the utopic kernel before those images can be built. It is in process. We were able to simply rebuild the images for 3.13 and 3.19 as the sfc driver was already available in those kernels.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu318.30

---------------
debian-installer (20101020ubuntu318.30) trusty; urgency=medium

  * Move keystone kernels to 3.13.0-37.
  * Move lts-utopic kernels to 3.16.0-50.
  * Move lts-vivid kernels to 3.19.0-30 (LP: #1481490)

debian-installer (20101020ubuntu318.29) trusty; urgency=medium

  * Move master kernels to 3.13.0-65 (LP: #1481490)

 -- Adam Conrad <email address hidden> Thu, 01 Oct 2015 13:47:12 -0600

Changed in debian-installer (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for debian-installer has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu376.1

---------------
debian-installer (20101020ubuntu376.1) vivid; urgency=medium

  * Move master kernels to 3.19.0-30 (LP: #1481490)

 -- Adam Conrad <email address hidden> Thu, 01 Oct 2015 14:12:58 -0600

Changed in debian-installer (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (11.2 KiB)

This bug was fixed in the package linux-lts-utopic - 3.16.0-51.69~14.04.1

---------------
linux-lts-utopic (3.16.0-51.69~14.04.1) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1503717

  [ Andy Whitcroft ]

  * Revert "SAUCE: aufs3: mmap: Fix races in madvise_remove() and
    sys_msync()"
    - LP: #1503655

  [ Ben Hutchings ]

  * SAUCE: aufs3: mmap: Fix races in madvise_remove() and sys_msync()
    - LP: #1503655
    - CVE-2015-7312

linux-lts-utopic (3.16.0-51.68~14.04.1) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1503239

  [ Ben Hutchings ]

  * SAUCE: aufs3: mmap: Fix races in madvise_remove() and sys_msync()
    - CVE-2015-7312

  [ John Johansen ]

  * SAUCE: (no-up) apparmor: fix mount not handling disconnected paths
    - LP: #1496430

  [ Leann Ogasawara ]

  * [Config] d-i -- Add sfc to nic-modules udeb
    - LP: #1481490

  [ Upstream Kernel Changes ]

  * mmc: sdhci-pci: set the clear transfer mode register quirk for O2Micro
    - LP: #1472843
  * mmc: sdhci: Add a quirk for AMD SDHC transfer mode register need to be
    cleared for cmd without data
    - LP: #1472843
  * md: use kzalloc() when bitmap is disabled
    - LP: #1500484
  * sparc64: Fix userspace FPU register corruptions.
    - LP: #1500484
  * ARM: OMAP2+: hwmod: Fix _wait_target_ready() for hwmods without sysc
    - LP: #1500484
  * ASoC: pcm1681: Fix setting de-emphasis sampling rate selection
    - LP: #1500484
  * iscsi-target: Fix use-after-free during TPG session shutdown
    - LP: #1500484
  * iscsi-target: Fix iscsit_start_kthreads failure OOPs
    - LP: #1500484
  * iscsi-target: Fix iser explicit logout TX kthread leak
    - LP: #1500484
  * ARM: dts: i.MX35: Fix can support.
    - LP: #1500484
  * ALSA: hda - Apply fixup for another Toshiba Satellite S50D
    - LP: #1500484
  * vhost: actually track log eventfd file
    - LP: #1500484
  * arm64/efi: map the entire UEFI vendor string before reading it
    - LP: #1500484
  * xfs: remote attribute headers contain an invalid LSN
    - LP: #1500484
  * xfs: remote attributes need to be considered data
    - LP: #1500484
  * ALSA: hda - Apply a fixup to Dell Vostro 5480
    - LP: #1500484
  * ALSA: usb-audio: add dB range mapping for some devices
    - LP: #1500484
  * drm/i915: Replace WARN inside I915_READ64_2x32 with retry loop
    - LP: #1500484
  * drm/radeon/combios: add some validation of lvds values
    - LP: #1500484
  * x86/efi: Use all 64 bit of efi_memmap in setup_e820()
    - LP: #1500484
  * ipr: Fix locking for unit attention handling
    - LP: #1500484
  * ipr: Fix incorrect trace indexing
    - LP: #1500484
  * ipr: Fix invalid array indexing for HRRQ
    - LP: #1500484
  * ALSA: hda - Fix MacBook Pro 5,2 quirk
    - LP: #1500484
  * x86/xen: Probe target addresses in set_aliased_prot() before the
    hypercall
    - LP: #1500484
  * netfilter: ctnetlink: put back references to master ct and expect
    objects
    - LP: #1500484
  * ipvs: do not use random local source address for tunnels
    - LP: #1500484
  * ipvs: fix crash if scheduler is changed
    - LP: #1500484
  * ipvs: fix crash with sync protocol v0 and FTP
    - ...

Changed in linux-lts-utopic (Ubuntu Trusty):
status: Fix Committed → Fix Released
Dave Chiluk (chiluk) on 2015-11-04
Changed in debian-installer (Ubuntu Trusty):
status: Fix Released → In Progress

Hello Leann, or anyone else affected,

Accepted debian-installer into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/debian-installer/20101020ubuntu318.31 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in debian-installer (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
no longer affects: linux-lts-utopic (Ubuntu)
no longer affects: linux-lts-utopic (Ubuntu Vivid)
Dave Chiluk (chiluk) on 2015-11-04
tags: added: verification-done-utopic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu318.32

---------------
debian-installer (20101020ubuntu318.32) trusty; urgency=medium

  * Move master kernels to 3.13.0-67.
  * Move keystone kernels to 3.13.0-39.
  * Move lts-utopic kernels to 3.16.0-52.
  * Move lts-vivid kernels to 3.19.0-32.

debian-installer (20101020ubuntu318.31) trusty; urgency=medium

  * Move master kernels to 3.13.0-66.
  * Move keystone kernels to 3.13.0-38.
  * Move lts-utopic kernels to 3.16.0-51 (LP: #1481490)
  * Move lts-vivid kernels to 3.19.0-31.

 -- Adam Conrad <email address hidden> Wed, 04 Nov 2015 10:03:27 -0700

Changed in debian-installer (Ubuntu Trusty):
status: Fix Committed → Fix Released
mrobinson-o (mrobinson-o) wrote :

I can confirm that the latest Trusty utopic-netboot image booted/installed correctly over a SolarFlare SFN7122F card:
http://archive.ubuntu.com/ubuntu/dists/trusty-updates/main/installer-amd64/current/images/utopic-netboot/netboot.tar.gz

TEST CASE:
1. Unpack netboot.tar.gz into TFTP directory
2. Configure DHCP server so that test server will be directed to request 'pxelinux.0' from the TFTP server
3. PXE boot the test server (Dell R610), selecting the SolarFlare interface
4. Proceed through install script. When selecting a mirror for downloads, specify the required HTTP proxy address
5. Continue through rest of install script. Specify a unique hostname.
6. Reboot test server and check that installation is successful (i.e. boots up with correct hostname)

VERIFICATION DONE
Test server has Ubuntu installed on its local hard disk and can boot locally.

Dave Chiluk (chiluk) on 2015-11-23
tags: added: verification-done
removed: verification-needed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers